[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.ScrollBy

Scrolls the non-fixed area for the control by the specified delta values.

## Declaration

Source position: grids.pas line 1183

`protected procedure TCustomGrid.ScrollBy(`
`DeltaX: Integer;`
`DeltaY: Integer`
`); override;`

## Arguments

`DeltaX` |  | Scroll amount in the horizontal direction. A negative value scrolls to the left, and a positive value scrolls to the right.
`DeltaY` |  | Scroll amount in the vertical direction. A negative value scrolls toward the top, and a positive value scrolls toward the bottom.

## Description

ScrollBy us an overridden method in TCustomGrid. No actions are performed in the method when both DeltaX and DeltaY contain 0 (zero).

ScrollBy calls ScrollWindowEx to perform the scrolling operation for the non-fixed client area on the control. It updates the visible grid area in the cached information for the control, and recalculates the scroll bar ranges.

ScrollBy is called from the TrySmoothScrollBy method, and occurs when scroll bar messages or mouse wheel events are handled for the grid control.

## See also

TCustomGrid.FixedCols |  | The number of fixed columns in the grid.
TCustomGrid.FixedRows |  | Number of the fixed rows in the grid.
TCustomGrid.TrySmoothScrollBy |  | Scrolls the grid origin by the specified relative amounts.
TCustomGrid.LeftCol |  | Column number for the first visible column on the left edge of the grid.
TCustomGrid.TopRow |  | The first visible row in the grid.
TCustomGrid.GridMouseWheel |  | Performs actions to apply a mouse wheel message to the grid control.
TWinControl.ScrollBy |  | Scrolls child controls by the specified number of pixels.
TControl.ClientRect |  | Size of the client area for the control.